Package org.kapott.hbci.GV.generators

# Class SEPAGeneratorFactory

java.lang.Object
org.kapott.hbci.GV.generators.SEPAGeneratorFactory

public class SEPAGeneratorFactory extends Object
Factory zum Ermitteln des passenden Pain-Generators fuer den angegebenen Job. WICHTIG: Diese Klasse sowie die Ableitungen sollten auch ohne initialisiertes HBCI-System funktionieren, um das XML ohne HBCI-Handler erstellen zu koennen. Daher sollte auf die Verwendung von "HBCIUtils" invalid input: '&' Co verzichtet werden. Das ist auch der Grund, warum hier das Java-Logging verwendet wird und nicht das HBCI4Java-eigene.

## Constructor Summary

Constructors
Constructor
Description
`SEPAGeneratorFactory()`

## Method Summary

Modifier and Type
Method
Description
`static ISEPAGenerator`
`get(String jobname, SepaVersion version)`
Gibt den passenden SEPA Generator für die angegebene PAIN-Version.
`static ISEPAGenerator`
`get(HBCIJob job, SepaVersion version)`
Gibt den passenden SEPA Generator für die angegebene PAIN-Version.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SEPAGeneratorFactory

public SEPAGeneratorFactory()

## Method Details

### get

public static ISEPAGenerator get(HBCIJob job, SepaVersion version) throws ClassNotFoundException, InstantiationException, IllegalAccessException
Gibt den passenden SEPA Generator für die angegebene PAIN-Version.

Parameters:
  `job` - der zu erzeugende Job.
  `version` - die PAIN-Version.
Returns:
  ISEPAGenerator
Throws:
  `IllegalAccessException`
  `InstantiationException`
  `ClassNotFoundException`

### get

public static ISEPAGenerator get(String jobname, SepaVersion version) throws ClassNotFoundException, InstantiationException, IllegalAccessException
Gibt den passenden SEPA Generator für die angegebene PAIN-Version.

Parameters:
  `jobname` - der Job-Name. Z.Bsp. "UebSEPA".
  `version` - die PAIN-Version.
Returns:
  ISEPAGenerator
Throws:
  `ClassNotFoundException`
  `IllegalAccessException`
  `InstantiationException`